AurionAI Docs

Patch Automation Rule

PATCH
/api/v2/automation-rules/{rule_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

rule_id*Rule Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v2/automation-rules/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "actions": [
    {}
  ],
  "conditions": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "description": "string",
  "enabled": true,
  "execution_count": 0,
  "execution_mode": "string",
  "id": "string",
  "last_fired_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "priority_order": 0,
  "stop_processing": false,
  "time_condition": {},
  "trigger_event": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}